Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.utilities
Class MappingUtils

    java.lang.Object
      org.deegree.crs.utilities.MappingUtils

    public class MappingUtils

extends Object

The `MappingUtils` class TODO add class documentation here.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`MappingUtils()`

Method Summary
`static boolean` | `matchEPSGString(String compare, String operationName, String epsgCode)` Match the given code to all known epsg representations, currently: urn:x-ogc:def:${operationName}:EPSG::${epsgCode} urn:x-ogc:def:${operationName}:EPSG:${epsgCode} urn:ogc:def:${operationName}:EPSG::${epsgCode} urn:ogc:def:${operationName}:EPSG:${epsgCode} EPSG::${epsgCode} EPSG:${epsgCode} Any string containing EPSG:${epsgCode} or EPSG::${epsgCode}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingUtils

    public MappingUtils()

Method Detail

### matchEPSGString

    public static boolean matchEPSGString(String compare,
                                          String operationName,
                                          String epsgCode)

  Match the given code to all known epsg representations, currently:
  - urn:x-ogc:def:${operationName}:EPSG::${epsgCode}
  - urn:x-ogc:def:${operationName}:EPSG:${epsgCode}
  - urn:ogc:def:${operationName}:EPSG::${epsgCode}
  - urn:ogc:def:${operationName}:EPSG:${epsgCode}
  - EPSG::${epsgCode}
  - EPSG:${epsgCode}
  - Any string containing EPSG:${epsgCode} or EPSG::${epsgCode}

  Parameters:
    `compare` - the String to compare
    `operationName` - the name of the 'operation', normally an epsg urn is something like this: urn:ogc:def:${operationName}:EPSG::1234
    `epsgCode` - to check
  Returns:
    true if the given code matches the given String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org